Skip to main content
GET
Get a brand

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string
required

Brand ID. Format: brd_ followed by 32 lowercase hexadecimal characters.

Example:

"brd_3f9c0a1b2c3d4e5f60718293a4b5c6d7"

Response

Successful response

A brand you can read.

id
string
required

Brand ID.

Pattern: ^brd_[0-9a-f]{32}$
Example:

"brd_3f9c0a1b2c3d4e5f60718293a4b5c6d7"

name
string
required

The brand name.

Example:

"Northwind Coffee"

description
string | null
required

The brand description, if one was set.

Example:

"Specialty coffee roasted in small batches."

website_url
string | null
required

The brand website, if one was set.

Example:

"https://northwind.example"

primary_color
string | null
required

The brand color as a hex value, if one was set.

Example:

"#1F6FEB"

status
enum<string>
required

active brands can run campaigns. inactive brands are archived.

Available options:
active,
inactive
Example:

"active"

created_at
string<date-time>
required

When the brand was created.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Example:

"2026-09-02T10:15:00.000Z"

updated_at
string<date-time> | null
required

When the brand was last changed. Null if it never changed.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Example:

"2026-09-20T08:40:00.000Z"